//反馈接口地址
var FEEDBACK_URL = "http://suixing.mapbar.com/api/feedback";
//提示框确定后的回调函数。
var tipCallback = null;
//意见提示文字
var contentSuggest = "如果您有建议和疑问，我们非常愿意听到";
//联系方式提示文字
var linkSuggest = "请输入你的手机号码或邮箱";
var touchEle = null;

$().ready(function() {
    //提交反馈
    setHilite($("section>form>button"), function(e){
        e.preventDefault();
        //$('section>form').get(0).submit();
        sendFeedback();
    });
	/*setHilite($("section>button"), function(e){
        e.preventDefault();
        sendFeedback();
    });*/
    
    /*$('section>form').get(0).addEventListener('submit', function(e){
    	e.preventDefault();
    	e.stopPropagation();
    	alert(1);
    	return false;
    }, false);*/

    $("#content").focus(function(e){
        if($(this).val()==contentSuggest){
            $(this).val("");
        }
    }).blur(function(e){
        if($.trim($(this).val())==""){
            $(this).val(contentSuggest);
        }
    });

    $("#linkman").focus(function(e){
        if($(this).val()==linkSuggest){
            $(this).val("");
        }
    }).blur(function(e){
        if($.trim($(this).val())==""){
            $(this).val(linkSuggest);
        }
    });

    //tip确定按钮
    setHilite($("#tipDone"),function(e) {
        e.preventDefault();
        hideTip();
    });

    //客服电话
    setHilite($("#service"),function(e) {
        e.preventDefault();
        if(window.mNative) window.mNative.dial("4006081008");
    });

    //weibo
    setHilite($("#weibo"),function(e) {
        e.preventDefault();
        window.location.href = "http://e.weibo.com/mapbar";
    });

    //$(document.body).bind('touchend', ontouchend, false);
});

var setHilite = function(element, clickFun) {
    element.bind("touchstart", function () {
        $(this).addClass("TStart");
        //touchEle = this;
    }).bind("touchend", function () {
        $(this).removeClass("TStart");
    }).bind("touchmove", function() {
    	$(this).removeClass("TStart");
    });
    if(clickFun) element.click(clickFun);
};

/*function ontouchend(e) {
	$(touchEle).removeClass('TStart');
}*/

function done() {
    if(window.mNative) window.mNative.onResult("1");
};

function sendFeedback() {
    //校验数据
    if(!validate()) return;
    getData({channel:'', poi:'', version:'1.0', content: getContent()});
};

function getContent() {
    return $.trim($("#content").val()) + " 联系电话或邮件：" + $.trim($("#linkman").val());
};

function tip(s) {
    $("#tipContent").html(s).parent().parent().css({display:''});
};

function hideTip() {
    $("#tip").css({display:'none'});
    if(tipCallback) tipCallback();
};

function getData(opts) {
    $.ajax({
        url: FEEDBACK_URL
        , dataType: "jsonp"
        , data: {channel:opts.channel, poi: opts.poi, version:"1.0", content: opts.content}
        , timeout: 10 * 1000
        , success: function(data) {
            if(data.result=="SUCCESS") {
                tipCallback = done;
                tip("谢谢您的反馈，我们会认真考虑您的建议");
            } else {
                tip("对不起，数据处理出了一些意外。您可以通过 support@mapbar.com 或客服电话 400 608 1008 给我们反馈。");
            }
        }
        , error: function() {
            tip("对不起，数据处理出了一些意外。您可以通过 support@mapbar.com 或客服电话 400 608 1008 给我们反馈。");
        }
    })
};

function validate() {
	var $content = $("#content").blur(),
		$linkman = $('#linkman').blur();
    var s = $.trim($content.val());
    if(!s || s==contentSuggest) {
        tip("请输入反馈意见");
        return false;
    }
    s = $.trim($linkman.val());
    if(!s || s==linkSuggest) {
        tip("请输入电话或邮件以便我们就您遇到的问题进行沟通");
        return false;
    }
    return true;
};
