/**
 * Created with IntelliJ IDEA.
 * User: zhangsq
 * Date: 12-4-4
 * Time: 下午10:59
 * To change this template use File | Settings | File Templates.
 */
var PageProxy = {
    /**
     * 执行命令(Android)
     * @param id String 命令编号
     */
    command : function(id)
    {
        /*var data = JSON.parse(mapbarSDK.getCommandData(id));
        window[data['command']](data);*/
        this.execute(JSON.parse(mapbarSDK.getCommandData(id)));
    },
    /**
     * 执行命令(iOS)
     * @param data Object 命令内容（JSON字符串）
     */
    execute : function(data)
    {
        window[data['command']](data['value']);
    },
    setResponseCode : function(code){
    	this._exe("responseCode",code);
    },
  //查看地图
    lookMap:function(poiId){
    	this._exe("viewMap",poiId);
    },
    // 显示 /隐藏加载（loading）状态
    pageLoad:function(flagO,flagT){
    	var a = [];
    	a.push(flagO);
    	a.push(flagT);
    	this._exe("setViewVisibility",a);
    },
    //嗲用电话功能
    calPhone:function(number){
    	this._exe("dial",number);
    },
    errorCorrection:function(poiId){
    	this._exe("errorCorrection",poiId);
    },
    //浏览器条状
    webUrl:function(url){
    	this._exe("goToBrowser",url);
    },
  //阻止 false/开放 true 默认的划屏事件
    defaultTouchScreem:function(status){
    	this._exe("setScreenMovable",status);
    },
    getVersion : function(calback){
    	return this._exe("getVersion",null,calback);
    },
    isCustom : function(callback) {
    	return this._exe('isCustom', null, callback);
    },
    getProduct : function(callback) {
    	return this._exe('getProduct', null, callback);
    },
    getModel : function(callback) {
    	return this._exe('getModel', null, callback);
    },
    getInfoAddress : function(callback) {
    	return this._exe('getInfoAddress', null, callback);
    },
    getPublishTime : function(callback) {
    	return this._exe('getPublishTime', null, callback);
    },
    readyCheck : function(){
    	this._exe("readyCheck");
    },
    onResponse: function(code,str,version){
    	var a = [];
    	a.push(code);
    	a.push(str);
    	a.push(version);
    	this._exe("onResponse",a);
    },
    /**
     * 执行框架方法
     * @param cName String 方法名称
     * @param argument Array 参数
     * @param callback Function 回调方法（iOS）
     * @private
     */
    _exe : function(cName, argument, callback)
    {	
        if(argument==undefined||argument==null){
        	argument = '';
        }
        
        //var _arg = this._serialize(argument, '&'),
        var _sdk = window['mNative'];
        if(_sdk){
        	if($.isArray(argument)){
        		 var str;
        		 for(var i = 0;i < argument.length;i++){
        			 if(i==0){
        				 str = argument[i];
        			 }else{
        				 str += "#"+argument[i];
        			 }
        			 
        		 }
        		 argument = str;
        	}
        	if(typeof argument=="boolean"){
        		return _sdk[cName](argument) 
        	}else{
	    		if(argument &&argument!=''){
	    			return _sdk[cName](argument) 
	    		}else{
	    			return _sdk[cName]()
	    		}
        	}
        } else {
            this._localCall(cName, argument, callback);
            return null;
        }
    },
    /**
     * iOS下与SDK通信
     * @param name String 方法名称
     * @param argument String 参数
     * @param callback Function 回调方法
     * @private
     */
    _localCall : function(name, argument, callback)
    {	
        var _cbAgent,
            _url = 'mapbarSDK://' + name;
//        argument =  this._serialize(argument, '&');
	        if(argument&&$.isArray(argument)){
	   		 var str;
	   		 for(var i = 0;i < argument.length;i++){
	   			 if(i==0){
	   				 str = argument[i];
	   			 }else{
	   				 str += "#"+argument[i];
	   			 }
	   			 
	   		 }
	   		 argument = str;
	   	}
        if(callback){
            _cbAgent = 'callback' + Math.random().toString().replace(new RegExp('^0\\.'), '');
            argument += '&callback=' + _cbAgent;
            window[_cbAgent] = function(response){
                callback(response);
                delete window[_cbAgent];
            };
        }
        _url += argument ? '?' + argument : '';
        window.location.href = _url;
    }
};

